Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hmef.attribute
Class TNEFProperty

    java.lang.Object
      org.apache.poi.hmef.attribute.TNEFProperty

    public final class TNEFProperty

extends java.lang.Object

Holds the list of TNEF Attributes, and allows lookup by friendly name, ID and MAPI Property Name. Note - the types and IDs differ from standard Outlook/MAPI ones, so we can't just re-use the HSMF ones.

Field Summary
`int` | `id` The TNEF Property ID
`static TNEFProperty` | `ID_AIDOWNER`
`static TNEFProperty` | `ID_ATTACHCREATEDATE`
`static TNEFProperty` | `ID_ATTACHDATA`
`static TNEFProperty` | `ID_ATTACHMENT`
`static TNEFProperty` | `ID_ATTACHMETAFILE`
`static TNEFProperty` | `ID_ATTACHMODIFYDATE`
`static TNEFProperty` | `ID_ATTACHRENDERDATA`
`static TNEFProperty` | `ID_ATTACHTITLE`
`static TNEFProperty` | `ID_ATTACHTRANSPORTFILENAME`
`static TNEFProperty` | `ID_BODY`
`static TNEFProperty` | `ID_CONVERSATIONID`
`static TNEFProperty` | `ID_DATEEND`
`static TNEFProperty` | `ID_DATEMODIFIED`
`static TNEFProperty` | `ID_DATERECEIVED`
`static TNEFProperty` | `ID_DATESENT`
`static TNEFProperty` | `ID_DATESTART`
`static TNEFProperty` | `ID_DELEGATE`
`static TNEFProperty` | `ID_FROM`
`static TNEFProperty` | `ID_MAPIPROPERTIES`
`static TNEFProperty` | `ID_MESSAGECLASS`
`static TNEFProperty` | `ID_MESSAGEID`
`static TNEFProperty` | `ID_MESSAGESTATUS`
`static TNEFProperty` | `ID_NULL`
`static TNEFProperty` | `ID_OEMCODEPAGE`
`static TNEFProperty` | `ID_ORIGINALMESSAGECLASS`
`static TNEFProperty` | `ID_OWNER`
`static TNEFProperty` | `ID_PARENTID`
`static TNEFProperty` | `ID_PRIORITY`
`static TNEFProperty` | `ID_RECIPIENTTABLE`
`static TNEFProperty` | `ID_REQUESTRESPONSE`
`static TNEFProperty` | `ID_SENTFOR`
`static TNEFProperty` | `ID_SUBJECT`
`static TNEFProperty` | `ID_TNEFVERSION`
`static TNEFProperty` | `ID_UNKNOWN`
`static int` | `LEVEL_ATTACHMENT`
`static int` | `LEVEL_END_OF_FILE`
`static int` | `LEVEL_MESSAGE`
`java.lang.String` | `mapiProperty` Equivalent MAPI Property
`java.lang.String` | `name` Property Name
`static int` | `PTYPE_APPTIME` AppTime - application time value
`static int` | `PTYPE_BINARY` Binary - counted byte array
`static int` | `PTYPE_BOOLEAN` Boolean - 16-bit Boolean value.
`static int` | `PTYPE_CLASSID` ClassId - OLE GUID
`static int` | `PTYPE_CURRENCY` Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point
`static int` | `PTYPE_DOUBLE` Double - floating point double
`static int` | `PTYPE_ERROR` Error - 32-bit error value
`static int` | `PTYPE_I2` I2 - signed 16-bit value
`static int` | `PTYPE_I8` I8 - 8-byte signed integer
`static int` | `PTYPE_LONG` Long - signed 32-bit value
`static int` | `PTYPE_MULTIVALUED` MultiValued - Value part contains multiple values
`static int` | `PTYPE_NULL` Null - NULL property value
`static int` | `PTYPE_OBJECT` Object - embedded object in a property
`static int` | `PTYPE_R4` R4 - 4-byte floating point value
`static int` | `PTYPE_STRING8` String8 - null-terminated 8-bit character string
`static int` | `PTYPE_SYSTIME` SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601
`static int` | `PTYPE_UNICODE` Unicode - null-terminated Unicode string
`static int` | `PTYPE_UNSPECIFIED` Unspecified
`static int` | `TYPE_BYTE`
`static int` | `TYPE_DATE`
`static int` | `TYPE_DWORD`
`static int` | `TYPE_LONG`
`static int` | `TYPE_MAX`
`static int` | `TYPE_SHORT`
`static int` | `TYPE_STRING`
`static int` | `TYPE_TEXT`
`static int` | `TYPE_TRIPLES`
`static int` | `TYPE_WORD`
`int` | `usualType` Usual Type

Method Summary
`static TNEFProperty` | `getBest(int id, int type)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_TRIPLES

    public static final int TYPE_TRIPLES

See Also:
  Constant Field Values

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_TEXT

    public static final int TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_DATE

    public static final int TYPE_DATE

See Also:
  Constant Field Values

### TYPE_SHORT

    public static final int TYPE_SHORT

See Also:
  Constant Field Values

### TYPE_LONG

    public static final int TYPE_LONG

See Also:
  Constant Field Values

### TYPE_BYTE

    public static final int TYPE_BYTE

See Also:
  Constant Field Values

### TYPE_WORD

    public static final int TYPE_WORD

See Also:
  Constant Field Values

### TYPE_DWORD

    public static final int TYPE_DWORD

See Also:
  Constant Field Values

### TYPE_MAX

    public static final int TYPE_MAX

See Also:
  Constant Field Values

### PTYPE_APPTIME

    public static final int PTYPE_APPTIME

  AppTime - application time value

  See Also:
    Constant Field Values

### PTYPE_BINARY

    public static final int PTYPE_BINARY

  Binary - counted byte array

  See Also:
    Constant Field Values

### PTYPE_BOOLEAN

    public static final int PTYPE_BOOLEAN

  Boolean - 16-bit Boolean value. '0' is false. Non-zero is true

  See Also:
    Constant Field Values

### PTYPE_CLASSID

    public static final int PTYPE_CLASSID

  ClassId - OLE GUID

  See Also:
    Constant Field Values

### PTYPE_CURRENCY

    public static final int PTYPE_CURRENCY

  Currency - signed 64-bit integer that represents a base ten decimal with four digits to the right of the decimal point

  See Also:
    Constant Field Values

### PTYPE_DOUBLE

    public static final int PTYPE_DOUBLE

  Double - floating point double

  See Also:
    Constant Field Values

### PTYPE_ERROR

    public static final int PTYPE_ERROR

  Error - 32-bit error value

  See Also:
    Constant Field Values

### PTYPE_I2

    public static final int PTYPE_I2

  I2 - signed 16-bit value

  See Also:
    Constant Field Values

### PTYPE_I8

    public static final int PTYPE_I8

  I8 - 8-byte signed integer

  See Also:
    Constant Field Values

### PTYPE_LONG

    public static final int PTYPE_LONG

  Long - signed 32-bit value

  See Also:
    Constant Field Values

### PTYPE_MULTIVALUED

    public static final int PTYPE_MULTIVALUED

  MultiValued - Value part contains multiple values

  See Also:
    Constant Field Values

### PTYPE_NULL

    public static final int PTYPE_NULL

  Null - NULL property value

  See Also:
    Constant Field Values

### PTYPE_OBJECT

    public static final int PTYPE_OBJECT

  Object - embedded object in a property

  See Also:
    Constant Field Values

### PTYPE_R4

    public static final int PTYPE_R4

  R4 - 4-byte floating point value

  See Also:
    Constant Field Values

### PTYPE_STRING8

    public static final int PTYPE_STRING8

  String8 - null-terminated 8-bit character string

  See Also:
    Constant Field Values

### PTYPE_SYSTIME

    public static final int PTYPE_SYSTIME

  SysTime - FILETIME 64-bit integer specifying the number of 100ns periods since Jan 1, 1601

  See Also:
    Constant Field Values

### PTYPE_UNICODE

    public static final int PTYPE_UNICODE

  Unicode - null-terminated Unicode string

  See Also:
    Constant Field Values

### PTYPE_UNSPECIFIED

    public static final int PTYPE_UNSPECIFIED

  Unspecified

  See Also:
    Constant Field Values

### LEVEL_MESSAGE

    public static final int LEVEL_MESSAGE

See Also:
  Constant Field Values

### LEVEL_ATTACHMENT

    public static final int LEVEL_ATTACHMENT

See Also:
  Constant Field Values

### LEVEL_END_OF_FILE

    public static final int LEVEL_END_OF_FILE

See Also:
  Constant Field Values

### ID_AIDOWNER

    public static final TNEFProperty ID_AIDOWNER

### ID_ATTACHCREATEDATE

    public static final TNEFProperty ID_ATTACHCREATEDATE

### ID_ATTACHDATA

    public static final TNEFProperty ID_ATTACHDATA

### ID_ATTACHMENT

    public static final TNEFProperty ID_ATTACHMENT

### ID_ATTACHMETAFILE

    public static final TNEFProperty ID_ATTACHMETAFILE

### ID_ATTACHMODIFYDATE

    public static final TNEFProperty ID_ATTACHMODIFYDATE

### ID_ATTACHRENDERDATA

    public static final TNEFProperty ID_ATTACHRENDERDATA

### ID_ATTACHTITLE

    public static final TNEFProperty ID_ATTACHTITLE

### ID_ATTACHTRANSPORTFILENAME

    public static final TNEFProperty ID_ATTACHTRANSPORTFILENAME

### ID_BODY

    public static final TNEFProperty ID_BODY

### ID_CONVERSATIONID

    public static final TNEFProperty ID_CONVERSATIONID

### ID_DATEEND

    public static final TNEFProperty ID_DATEEND

### ID_DATEMODIFIED

    public static final TNEFProperty ID_DATEMODIFIED

### ID_DATERECEIVED

    public static final TNEFProperty ID_DATERECEIVED

### ID_DATESENT

    public static final TNEFProperty ID_DATESENT

### ID_DATESTART

    public static final TNEFProperty ID_DATESTART

### ID_DELEGATE

    public static final TNEFProperty ID_DELEGATE

### ID_FROM

    public static final TNEFProperty ID_FROM

### ID_MAPIPROPERTIES

    public static final TNEFProperty ID_MAPIPROPERTIES

### ID_MESSAGECLASS

    public static final TNEFProperty ID_MESSAGECLASS

### ID_MESSAGEID

    public static final TNEFProperty ID_MESSAGEID

### ID_MESSAGESTATUS

    public static final TNEFProperty ID_MESSAGESTATUS

### ID_NULL

    public static final TNEFProperty ID_NULL

### ID_OEMCODEPAGE

    public static final TNEFProperty ID_OEMCODEPAGE

### ID_ORIGINALMESSAGECLASS

    public static final TNEFProperty ID_ORIGINALMESSAGECLASS

### ID_OWNER

    public static final TNEFProperty ID_OWNER

### ID_PARENTID

    public static final TNEFProperty ID_PARENTID

### ID_PRIORITY

    public static final TNEFProperty ID_PRIORITY

### ID_RECIPIENTTABLE

    public static final TNEFProperty ID_RECIPIENTTABLE

### ID_REQUESTRESPONSE

    public static final TNEFProperty ID_REQUESTRESPONSE

### ID_SENTFOR

    public static final TNEFProperty ID_SENTFOR

### ID_SUBJECT

    public static final TNEFProperty ID_SUBJECT

### ID_TNEFVERSION

    public static final TNEFProperty ID_TNEFVERSION

### ID_UNKNOWN

    public static final TNEFProperty ID_UNKNOWN

### id

    public final int id

  The TNEF Property ID

### usualType

    public final int usualType

  Usual Type

### name

    public final java.lang.String name

  Property Name

### mapiProperty

    public final java.lang.String mapiProperty

  Equivalent MAPI Property

Method Detail

### getBest

    public static TNEFProperty getBest(int id,
                                       int type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD